## pnet-0.6.6.tar.gz

=== libgc/include/Makefile ===
# Makefile.in generated by automake 1.6.3 from Makefile.am.
# include/Makefile.  Generated from Makefile.in by configure.

# Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
# Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



# 
# 
# THIS MATERIAL IS PROVIDED AS IS, WITH ABSOLUTELY NO WARRANTY EXPRESSED
# OR IMPLIED.  ANY USE IS AT YOUR OWN RISK.
# 
# Permission is hereby granted to use or copy this program
# for any purpose,  provided the above notices are retained on all copies.
# Permission to modify the code and to distribute modified code is granted,
# provided the above notices are retained, and a notice that the code was
# modified is included with the above copyright notice.
#
# Modified by: Grzegorz Jakacki <jakacki at acm dot org>
SHELL = /bin/sh

srcdir = ../.././libgc/include
top_srcdir = ../.././libgc
VPATH = ../.././libgc/include
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib/pnet
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include/pnet
oldincludedir = /usr/include
pkgdatadir = $(datadir)/gc
pkglibdir = $(libdir)/gc
pkgincludedir = $(includedir)/gc
top_builddir = ..

ACLOCAL = ${SHELL} /home/rweather/work/pnet/libgc/missing --run aclocal-1.6
AUTOCONF = ${SHELL} /home/rweather/work/pnet/libgc/missing --run autoconf
AUTOMAKE = ${SHELL} /home/rweather/work/pnet/libgc/missing --run automake-1.6
AUTOHEADER = ${SHELL} /home/rweather/work/pnet/libgc/missing --run autoheader

am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_SCRIPT = ${INSTALL}
INSTALL_HEADER = $(INSTALL_DATA)
transform = s,^,i686-pc-linux-gnu-,
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
host_alias = i686-pc-linux-gnu
host_triplet = i686-pc-linux-gnu

EXEEXT = 
OBJEXT = o
PATH_SEPARATOR = :
AMTAR = ${SHELL} /home/rweather/work/pnet/libgc/missing --run tar
AR = ar
AS = @AS@
AWK = gawk
CC = gcc
CCAS = $(CC)
CCASFLAGS = $(CFLAGS)
CFLAGS = -g -O2
CXX = g++
CXXFLAGS = -g -O2
CXXINCLUDES = 
DEPDIR = .deps
DLLTOOL = @DLLTOOL@
ECHO = echo
EXTRA_TEST_LIBS =  -ldl
GC_CFLAGS =  -fexceptions
GC_VERSION = 
INCLUDES = -I.././libgc/include
INSTALL_STRIP_PROGRAM = ${SHELL} $(install_sh) -c -s
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LN_S = ln -s
MAINT = #
MY_CFLAGS = -g -O2
OBJDUMP = @OBJDUMP@
PACKAGE = gc
RANLIB = ranlib
STRIP = strip
THREADLIBS = -lpthread
UNWINDLIBS = 
VERSION = 6.3alpha6
addincludes = 
addlibs = 
addobjs =  mach_dep.lo
addtests = 
am__include = include
am__quote = 
install_sh = /home/rweather/work/pnet/libgc/install-sh
target_all = libgc.la

# installed headers
#
pkginclude_HEADERS = gc.h gc_typed.h gc_inl.h \
    gc_inline.h gc_mark.h gc_cpp.h \
    weakpointer.h gc_alloc.h new_gc_alloc.h \
    gc_allocator.h gc_backptr.h \
    gc_gcj.h gc_local_alloc.h leak_detector.h \
    gc_amiga_redirects.h gc_pthread_redirects.h \
    gc_config_macros.h


# headers which are not installed
#
dist_noinst_HEADERS = private/gc_hdrs.h \
    private/gc_priv.h private/gcconfig.h \
    private/gc_pmark.h private/gc_locks.h \
    private/solaris_threads.h private/dbg_mlc.h \
    private/specific.h private/cord_pos.h \
    private/pthread_support.h private/pthread_stop_world.h \
    private/darwin_semaphore.h private/darwin_stop_world.h \
    cord.h ec.h javaxfc.h 

subdir = include
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES =
DIST_SOURCES =
HEADERS = $(dist_noinst_HEADERS) $(pkginclude_HEADERS)

DIST_COMMON = $(dist_noinst_HEADERS) $(pkginclude_HEADERS) Makefile.am \
	Makefile.in
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in: # Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
	cd $(top_srcdir) && \
	  $(AUTOMAKE) --gnu  include/Makefile
Makefile: # $(srcdir)/Makefile.in  $(top_builddir)/config.status
	cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:
	-rm -f libtool
uninstall-info-am:
pkgincludeHEADERS_INSTALL = $(INSTALL_HEADER)
install-pkgincludeHEADERS: $(pkginclude_HEADERS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(pkgincludedir)
	@list='$(pkginclude_HEADERS)'; for p in $$list; do \
	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " $(pkgincludeHEADERS_INSTALL) $$d$$p $(DESTDIR)$(pkgincludedir)/$$f"; \
	  $(pkgincludeHEADERS_INSTALL) $$d$$p $(DESTDIR)$(pkgincludedir)/$$f; \
	done

uninstall-pkgincludeHEADERS:
	@$(NORMAL_UNINSTALL)
	@list='$(pkginclude_HEADERS)'; for p in $$list; do \
	  f="`echo $$p | sed -e 's|^.*/||'`"; \
	  echo " rm -f $(DESTDIR)$(pkgincludedir)/$$f"; \
	  rm -f $(DESTDIR)$(pkgincludedir)/$$f; \
	done

ETAGS = etags
ETAGSFLAGS =

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	mkid -fID $$unique

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
		$(TAGS_FILES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
	unique=`for i in $$list; do \
	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
	  done | \
	  $(AWK) '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$tags$$unique" \
	  || $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
	     $$tags $$unique

GTAGS:
	here=`$(am__cd) $(top_builddir) && pwd` \
	  && cd $(top_srcdir) \
	  && gtags -i $(GTAGS_ARGS) $$here

distclean-tags:
	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)

top_distdir = ..
distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)

distdir: $(DISTFILES)
	$(mkinstalldirs) $(distdir)/private
	@list='$(DISTFILES)'; for file in $$list; do \
	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
	  dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
	  if test "$$dir" != "$$file" && test "$$dir" != "."; then \
	    dir="/$$dir"; \
	    $(mkinstalldirs) "$(distdir)$$dir"; \
	  else \
	    dir=''; \
	  fi; \
	  if test -d $$d/$$file; then \
	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
	      cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
	    fi; \
	    cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
	  else \
	    test -f $(distdir)/$$file \
	    || cp -p $$d/$$file $(distdir)/$$file \
	    || exit 1; \
	  fi; \
	done
check-am: all-am
check: check-am
all-am: Makefile $(HEADERS)

installdirs:
	$(mkinstalldirs) $(DESTDIR)$(pkgincludedir)

install: install-am
install-exec: install-exec-am
install-data: install-data-am
uninstall: uninstall-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am

installcheck: installcheck-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
	  INSTALL_STRIP_FLAG=-s \
	  `test -z '$(STRIP)' || \
	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	@echo "This command is intended for maintainers to use"
	@echo "it deletes files that may require special tools to rebuild."
clean: clean-am

clean-am: clean-generic clean-libtool mostlyclean-am

distclean: distclean-am

distclean-am: clean-am distclean-generic distclean-libtool \
	distclean-tags

dvi: dvi-am

dvi-am:

info: info-am

info-am:

install-data-am: install-pkgincludeHEADERS

install-exec-am:

install-info: install-info-am

install-man:

installcheck-am:

maintainer-clean: maintainer-clean-am

maintainer-clean-am: distclean-am maintainer-clean-generic

mostlyclean: mostlyclean-am

mostlyclean-am: mostlyclean-generic mostlyclean-libtool

uninstall-am: uninstall-info-am uninstall-pkgincludeHEADERS

.PHONY: GTAGS all all-am check check-am clean clean-generic \
	clean-libtool distclean distclean-generic distclean-libtool \
	distclean-tags distdir dvi dvi-am info info-am install \
	install-am install-data install-data-am install-exec \
	install-exec-am install-info install-info-am install-man \
	install-pkgincludeHEADERS install-strip installcheck \
	installcheck-am installdirs maintainer-clean \
	maintainer-clean-generic mostlyclean mostlyclean-generic \
	mostlyclean-libtool tags uninstall uninstall-am \
	uninstall-info-am uninstall-pkgincludeHEADERS

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:

=== debian/control ===
Source: pnet
Section: devel
Priority: optional
Maintainer: Andrew Mitchell <ajmitch@dunedin.lug.net.nz>
Build-Depends: debhelper (>= 3.0.0), treecc (>= 0.2.0), libreadline4-dev, flex, bison
Standards-Version: 3.5.6.1

Package: pnet
Architecture: any
Depends:  pnet-compiler (= ${Source-Version}), pnet-interpreter (= ${Source-Version})
Description: DotGNU C# compiler, runtime, (dis)assembler 
 The goal of this DotGNU project is to build a suite of free software
 tools to build and execute .NET applications, including a C# compiler,
 assembler, disassembler, and runtime engine.

Package: pnet-compiler
Architecture: any
Depends: ${shlibs:Depends}
Provides: c-sharp-compiler
Description: DotGNU Portable.NET C# compiler & tools
 The goal of this DotGNU project is to build a suite of free software
 tools to build and execute .NET applications, including a C# compiler,
 assembler, disassembler, and runtime engine.  The initial target
 platform is GNU/Linux, with other platforms to follow in the future.

Package: pnet-interpreter
Architecture: any
Depends: ${shlibs:Depends}, pnet-runtime (>= 0.5.1) 
Provides: cli-virtual-machine
Description: DotGNU C# compiler, runtime, (dis)assembler
 The DotGNU Portable.NET interpreter

Package: pnet-dev
Architecture: any
Description: Development headers for pnet
 The goal of this DotGNU project is to build a suite of free software
 tools to build and execute .NET applications, including a C# compiler,
 assembler, disassembler, and runtime engine.  The initial target
 platform is GNU/Linux, with other platforms to follow in the future.
